# Provided either by this package or gnome-bluetooth.
%bcond_with bluetooth_sendto

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-bluetooth3
Version:	42~alpha
Release:	1%{?dist}
Summary:	Bluetooth graphical utilities
 
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:        https://download.gnome.org/sources/gnome-bluetooth/42/gnome-bluetooth-%{tarball_version}.tar.xz
Source1:	61-gnome-bluetooth3-rfkill.rules
 
%if 0%{?rhel}
ExcludeArch:	s390 s390x
%endif
 
BuildRequires:	gettext
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	python3-dbusmock >= 0.22.0-3
BuildRequires:  systemd-rpm-macros
 
Provides:	dbus-bluez-pin-helper
 
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Requires:	bluez >= 5.0
Requires:	bluez-obexd
%ifnarch s390 s390x
Requires:	pulseaudio-module-bluetooth
%endif
 
%description
The gnome-bluetooth3 package contains graphical utilities to setup,
monitor and use Bluetooth devices.
 
%package libs
Summary:	GTK 4 Bluetooth device selection widgets
License:	LGPLv2+
 
%description libs
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget.
 
%package libs-devel
Summary:	Development files for %{name}-libs
License:	LGPLv2+
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Requires:	%{name}%{?_isa} = %{version}-%{release}
 
%description libs-devel
This package contains the libraries and header files that are needed
for writing applications that require a Bluetooth device selection widget.
 
%prep
%autosetup -p1 -n gnome-bluetooth-%{tarball_version}
 
%build
%meson \
%if !%{with bluetooth_sendto}
  -Dsendto=false \
%endif
  -Dgtk_doc=true
%meson_build

%install
%meson_install
install -m0644 -D %{SOURCE1} %{buildroot}/%{_udevrulesdir}/61-gnome-bluetooth3-rfkill.rules
 
%find_lang gnome-bluetooth-3.0
 
%check
#%%meson_test

%files
%license COPYING
%doc README.md NEWS
%if %{with bluetooth_sendto}
%{_bindir}/bluetooth-sendto
%{_datadir}/applications/bluetooth-sendto.desktop
%{_mandir}/man1/bluetooth-sendto.1*
%endif
%{_datadir}/gnome-bluetooth-3.0/
%{_udevrulesdir}/61-gnome-bluetooth3-rfkill.rules
 
%files -f gnome-bluetooth-3.0.lang libs
%license COPYING.LIB
%{_libdir}/libgnome-bluetooth-3.0.so.13*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GnomeBluetooth-3.0.typelib
 
%files libs-devel
%{_includedir}/gnome-bluetooth-3.0/
%{_libdir}/libgnome-bluetooth-3.0.so
%{_libdir}/pkgconfig/gnome-bluetooth-3.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GnomeBluetooth-3.0.gir
%{_datadir}/gtk-doc
 
%changelog
* Wed Jan 12 2022 David King <amigadave@amigadave.com> - 42~alpha-1
- Initial import
